package com.huimv.produce.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.common.utils.DataUill;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.produce.entity.ProdWarningMsg;
import com.huimv.produce.entity.ProdWorkPlan;
import com.huimv.produce.service.IProdWarningMsgService;
import com.huimv.produce.service.IProdWorkPlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  工作计划
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-25
 */
@RestController
@RequestMapping("/prodWorkPlan")
public class ProdWorkPlanController {
    @Autowired
    private IProdWorkPlanService workPlanService;

    @GetMapping("/listWorkPlan")
    public Result getCost(@RequestParam(name = "farmId") Integer farmId){
        List<ProdWorkPlan> list = workPlanService.list(new QueryWrapper<ProdWorkPlan>().eq("farm_id", farmId).eq("add_time", DataUill.getTimesmorning()));
        return new Result(ResultCode.SUCCESS,list);
    }

    @GetMapping("/listLargeScreen")
    public Result listLargeScreen(@RequestParam(name = "farmId") Integer farmId){

        return workPlanService.listLargeScreen( farmId);
    }


    @GetMapping("/listScreenWorkPlan")
    public Result listScreenWorkPlan(@RequestParam(name = "farmId") Integer farmId){

        return workPlanService.listScreenWorkPlan( farmId);
    }
}
